package com.gic.auth.service;

import com.gic.auth.dto.MenuAuthDepartDTO;
import com.gic.auth.entity.TabSysMenuAuthDepart;

import java.util.List;

public interface MenuAuthDepartService {

    /**
     * 批量新增部门职位
     * @Title: saveFetch 
     * @Description:
     * @author guojuxing
     * @param list 
     * @return  void 
     */
    void saveFetch(List<MenuAuthDepartDTO> list);

    /**
     * 查询菜单的所有部门职位
     * @Title: listAuthDepartByMenuCode 
     * @Description:
     * @author guojuxing
     * @param menuCode 
     * @return  java.util.List<com.gic.auth.entity.TabSysMenuAuthDepart> 
     */
    List<TabSysMenuAuthDepart> listAuthDepartByMenuCode(String menuCode);

    List<TabSysMenuAuthDepart> listAllAuthDepart(List<String> menuCodeList);
}
